# pandas.DataFrame.std

DataFrame.std(axis=None, skipna=None, level=None, ddof=1, numeric_only=None, **kwargs)

  Return sample standard deviation over requested axis.

  Normalized by N-1 by default. This can be changed using the ddof argument

  Parameters
    axis{index (0), columns (1)}
    skipna bool, default True

      Exclude NA/null values. If an entire row/column is NA, the result will be NA.

    level int or level name, default None

      If the axis is a MultiIndex (hierarchical), count along a particular level, collapsing into a Series.

    ddof int, default 1

      Delta Degrees of Freedom. The divisor used in calculations is N - ddof, where N represents the number of elements.

    numeric_only bool, default None

      Include only float, int, boolean columns. If None, will attempt to use everything, then use only numeric data. Not implemented for Series.

  Returns
    Series or DataFrame (if level specified)

  Notes

  To have the same behaviour as numpy.std, use ddof=0 (instead of the default ddof=1)